//=============================================================================
// AugSpeedDxMod.
//=============================================================================
class AugSpeedDxMod extends Augmentation;

var() config float slowspeed;
var float normalspeed;

function SetSpeed(float Speed)
{   
    Level.Game.Level.TimeDilation = Speed;
    Level.Game.SetTimer(Level.TimeDilation, true);
}

state Active
{
Begin:
	normalspeed = level.default.timedilation;
	slowspeed = normalspeed / LevelValues[CurrentLevel];
	SetSpeed(slowspeed);
	Player.GroundSpeed *= LevelValues[CurrentLevel];
	Player.JumpZ *= (((LevelValues[CurrentLevel] - 1) * 0.2) + 1);
	Player.AccelRate *= (LevelValues[CurrentLevel] * 3);
}

function Deactivate()
{	
	normalspeed = level.default.timedilation;
	Super.Deactivate();	
	SetSpeed(normalspeed);
	Player.GroundSpeed = Player.Default.GroundSpeed;
	Player.JumpZ = Player.Default.JumpZ;
	Player.AccelRate = Player.Default.AccelRate;
}

defaultproperties
{
     EnergyRate=0.000000
     Icon=Texture'DeusExUI.UserInterface.AugIconSpeedJump'
     smallIcon=Texture'DeusExUI.UserInterface.AugIconSpeedJump_Small'
     AugmentationName="Speed Enhancement"
     Description="This is a reflex and mental speed increase augmentation.|n|nTECH ONE: Speed and perception are doubled.|n|nTECH TWO: Speed and perception are tripled.|n|nTECH THREE: Speed and perception are quadrupled.|n|nTECH FOUR: Speed and perception are quintupled."
     LevelValues(0)=2.000000
     LevelValues(1)=3.000000
     LevelValues(2)=4.000000
     LevelValues(3)=5.000000
     AugmentationLocation=LOC_Leg
}
