//=============================================================================
// DxModMe.
//=============================================================================
class DxModMe extends JCDentonMale;

var DxModAugmentationManager DxModAugmentationSystem;

// ----------------------------------------------------------------------
// InitializeSubSystems()
//
// UC: Allows us to Override the Aug and Skill Manager 
// ----------------------------------------------------------------------

function InitializeSubSystems()
{
	If (AugmentationSystem!=None){
		AugmentationSystem=None;
	}
	Super.InitializeSubSystems();

	DxModAugmentationSystem = Spawn(class'DxModAugmentationManager', Self);
	AugmentationSystem=DxModAugmentationSystem;
	DxModAugmentationSystem.CreateAugmentations(Self);
	DxModAugmentationSystem.AddDefaultAugmentations();

}

// ----------------------------------------------------------------------
// Landed()
//
// copied from Engine.PlayerPawn new landing code for Deus Ex
// zero damage if falling from 15 feet or less
// scaled damage from 15 to 60 feet
// death over 60 feet
// ----------------------------------------------------------------------

function Landed(vector HitNormal)
{
    local vector legLocation;
  local int augLevel;
  local float augReduce, dmg;

  //Note - physics changes type to PHYS_Walking by default for landed pawns
  PlayLanded(Velocity.Z);
  if (Velocity.Z < -1.4 * JumpZ)
  {
    MakeNoise(-0.5 * Velocity.Z/(FMax(JumpZ, 150.0)));
    if ((Velocity.Z < -700) && (ReducedDamageType != 'All'))
      if ( Role == ROLE_Authority )
            {
        // check our jump augmentation and reduce falling damage if we have it
        // jump augmentation doesn't exist anymore - use Speed instaed
        // reduce an absolute amount of damage instead of a relative amount
        augReduce = 0;
        if (AugmentationSystem != None)
        {
          augLevel = AugmentationSystem.GetClassLevel(class'DxMod.AugSpeedDxMod');
          if (augLevel >= 0)
            augReduce = 15 * (augLevel+1);
        }

        dmg = Max((-0.16 * (Velocity.Z + 700)) - augReduce, 0);
        legLocation = Location + vect(-1,0,-1);      // damage left leg
        TakeDamage(dmg, None, legLocation, vect(0,0,0), 'fell');

        legLocation = Location + vect(1,0,-1);      // damage right leg
        TakeDamage(dmg, None, legLocation, vect(0,0,0), 'fell');

        dmg = Max((-0.06 * (Velocity.Z + 700)) - augReduce, 0);
        legLocation = Location + vect(0,0,1);      // damage torso
        TakeDamage(dmg, None, legLocation, vect(0,0,0), 'fell');
            }
  }
  else if ( (Level.Game != None) && (Level.Game.Difficulty > 1) && (Velocity.Z > 0.5 * JumpZ) )
    MakeNoise(0.1 * Level.Game.Difficulty);        
  bJustLanded = true;
}

// ----------------------------------------------------------------------
// GetCurrentGroundSpeed()
// ----------------------------------------------------------------------

function float GetCurrentGroundSpeed()
{
  local float augValue, speed;

  augValue = AugmentationSystem.GetAugLevelValue(class'DxMod.AugSpeedDxMod');
  if (augValue == -1.0)
    augValue = 1.0;

  speed = Default.GroundSpeed * augValue;

  return speed;
}

function ResetPlayer(optional bool bTraining)
{

//Dummy Function Should be removed.
	local inventory anItem;

	Super.ResetPlayer(bTraining);
	if (!bTraining)
	{
		anItem = Spawn(class'WeaponStealthPistol');
		anItem.Frob(Self, None);
		anItem.bInObjectBelt = True;
	}
}

